# include the common jobs defined for android pipeline setup
include:
  - 'https://gitlab.com/Linaro/lkft/pipelines/lkft-common/-/raw/master/gitlab-ci-common-for-android.yml'
  - 'https://gitlab.com/Linaro/lkft/pipelines/lkft-common/-/raw/master/gitlab-ci-jobs/gitlab-ci-android-common-jobs-mainline.yml'

variables:
  BUILD_TYPE: jenkins
  URL_LKFT_COMMON_RAW: "https://gitlab.com/Linaro/lkft/pipelines/lkft-common/-/raw/master/"
  REVIEW_TO: "lkft@linaro.org"
  REVIEW_CC: "lkft@linaro.org"

  RUN_TEST: "1"

# This will only build and test branches specified here.
workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH == "android-mainline"'
      when: always
    - if: '$CI_COMMIT_BRANCH == "android13-5.10"'
      when: always
    - if: '$CI_COMMIT_BRANCH == "android12-5.10"'
      when: always
    - if: '$CI_COMMIT_BRANCH == "android12-5.10-lts"'
      when: always
    - if: '$CI_COMMIT_BRANCH == "android12-5.4"'
      when: always
    - if: '$CI_COMMIT_BRANCH == "android12-5.4-lts"'
      when: always
    - if: '$CI_COMMIT_BRANCH == "android11-5.4"'
      when: always
    - if: '$CI_COMMIT_BRANCH == "android11-5.4-lts"'
      when: always
    - when: never

### common jobs not have branch check set will run for all branches ######
